<?php 
	$wp_customize->add_panel( 'wpdevart_wedding_photography_single_post_page_panel', 
	array(
		'title'	=> esc_html__('Single Post/Page','wedding-photography'),			
		'description'	=> esc_html__('Single Post/Page settings','wedding-photography'),		
		'priority'		=> 25
	) 
	);

	##################------ Single Post ------##################

	$wp_customize->add_section('wpdevart_wedding_photography_single_post_section',array(
		'title'	=> esc_html__('Single Post','wedding-photography'),					
		'priority'		=> null,
		'panel'         => 'wpdevart_wedding_photography_single_post_page_panel'
	));

	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_width',array(
		'default'	=> esc_html('narrow'),
		'sanitize_callback'	=> 'wpdevart_wedding_photography_text_sanitization'	
	));
	$wp_customize->add_control('wpdevart_wedding_photography_single_post_banner_width',array(
			'label'	=> esc_html__('Single post banner width','wedding-photography'),
			'section'	=> 'wpdevart_wedding_photography_single_post_section',
			'setting'	=> 'wpdevart_wedding_photography_single_post_banner_width',
			'type' => 'select',
			'choices' => array(
				'narrow' => esc_html__('Narrow','wedding-photography'),
				'wide' => esc_html__('Wide','wedding-photography')
				)
	));	
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_title_alignment',array(
		'default'	=> esc_html('center'),
		'sanitize_callback'	=> 'wpdevart_wedding_photography_text_sanitization'	
	));
	$wp_customize->add_control('wpdevart_wedding_photography_single_post_title_alignment',array(
			'label'	=> esc_html__('Position of elements','wedding-photography'),
			'section'	=> 'wpdevart_wedding_photography_single_post_section',
			'setting'	=> 'wpdevart_wedding_photography_single_post_title_alignment',
			'type' => 'select',
			'choices' => array(
				'left' => esc_html__('Left','wedding-photography'),
				'center' => esc_html__('Center','wedding-photography'),
				'right' => esc_html__('Right','wedding-photography')
				)
	));	
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_bg_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_post_banner_bg_color', esc_html('#f9fbf7')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_banner_bg_color', array(
        'label' => esc_html__('Single post banner BG color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_post_section',
        'settings' => 'wpdevart_wedding_photography_single_post_banner_bg_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_gradient_type',array(
		'default'	=> esc_html('to right'),
		'sanitize_callback'	=> 'wpdevart_wedding_photography_text_sanitization'	
	));
	$wp_customize->add_control('wpdevart_wedding_photography_single_post_banner_gradient_type',array(
			'label'	=> esc_html__('Single post banner gradient type','wedding-photography'),
			'section'	=> 'wpdevart_wedding_photography_single_post_section',
			'setting'	=> 'wpdevart_wedding_photography_single_post_banner_gradient_type',
			'type' => 'select',
			'choices' => array(
				'to right' => esc_html__('To right','wedding-photography'),
				'to left' => esc_html__('To left','wedding-photography'),
				'to bottom' => esc_html__('To bottom','wedding-photography'),
				'to top' => esc_html__('To top','wedding-photography'),
				'to bottom right' => esc_html__('To bottom right','wedding-photography'),
				'to bottom left' => esc_html__('To bottom left','wedding-photography'),
				'to top right' => esc_html__('To top right','wedding-photography'),
				'to top left' => esc_html__('To top left','wedding-photography'),
				)
	));	
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_gradient_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_post_banner_gradient_color', esc_html('#f9fbf7')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_banner_gradient_color', array(
        'label' => esc_html__('Single post banner gradient color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_post_section',
        'settings' => 'wpdevart_wedding_photography_single_post_banner_gradient_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_title_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_post_banner_title_color', esc_html('#136978')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_banner_title_color', array(
        'label' => esc_html__('Banner/Single Post title color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_post_section',
        'settings' => 'wpdevart_wedding_photography_single_post_banner_title_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_entry_text_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_post_banner_entry_text_color', esc_html('#333333')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_banner_entry_text_color', array(
        'label' => esc_html__('Banner text color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_post_section',
        'settings' => 'wpdevart_wedding_photography_single_post_banner_entry_text_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_entry_link_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_post_banner_entry_link_color', esc_html('#e57339')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_banner_entry_link_color', array(
        'label' => esc_html__('Banner link color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_post_section',
        'settings' => 'wpdevart_wedding_photography_single_post_banner_entry_link_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_post_banner_entry_link_hover_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_post_banner_entry_link_hover_color', esc_html('#333333')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_banner_entry_link_hover_color', array(
        'label' => esc_html__('Banner link hover color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_post_section',
        'settings' => 'wpdevart_wedding_photography_single_post_banner_entry_link_hover_color'
    )));
    $wp_customize->add_setting( 'wpdevart_wedding_photography_single_post_layout',
	array(
		'default' => esc_html('sidebarright'),
		'transport' => 'refresh',
		'sanitize_callback' => 'wpdevart_wedding_photography_text_sanitization'
	)
	);
	$wp_customize->add_control( new Wpdevart_Image_Radio_Button_Custom_Control( $wp_customize, 'wpdevart_wedding_photography_single_post_layout',
	array(
		'label' => esc_html__( 'Single Post Layout', 'wedding-photography' ),
		'description' => esc_html__( 'Choose the single post layout.', 'wedding-photography' ),
		'section' => 'wpdevart_wedding_photography_single_post_section',
		'choices' => array(
		'sidebarleft' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-left.png',
			'name' => esc_html__( 'Left Sidebar', 'wedding-photography' )
		),
		'sidebarnone' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-none.png',
			'name' => esc_html__( 'No Sidebar', 'wedding-photography' )
		),
		'sidebarright' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-right.png',
			'name' => esc_html__( 'Right Sidebar', 'wedding-photography' )
		)
		)
	)
	) );

	##################------ Single Page ------##################

	$wp_customize->add_section('wpdevart_wedding_photography_single_page_section',array(
		'title'	=> esc_html__('Single Page','wedding-photography'),					
		'priority'		=> null,
		'panel'         => 'wpdevart_wedding_photography_single_post_page_panel'
	));

	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_width',array(
		'default'	=> esc_html('narrow'),
		'sanitize_callback'	=> 'wpdevart_wedding_photography_text_sanitization'	
	));
	$wp_customize->add_control('wpdevart_wedding_photography_single_page_banner_width',array(
			'label'	=> esc_html__('Single page banner width','wedding-photography'),
			'section'	=> 'wpdevart_wedding_photography_single_page_section',
			'setting'	=> 'wpdevart_wedding_photography_single_page_banner_width',
			'type' => 'select',
			'choices' => array(
				'narrow' => esc_html__('Narrow','wedding-photography'),
				'wide' => esc_html__('Wide','wedding-photography')
				)
	));	
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_title_alignment',array(
		'default'	=> esc_html('center'),
		'sanitize_callback'	=> 'wpdevart_wedding_photography_text_sanitization'	
	));
	$wp_customize->add_control('wpdevart_wedding_photography_single_page_title_alignment',array(
			'label'	=> esc_html__('Position of elements','wedding-photography'),
			'section'	=> 'wpdevart_wedding_photography_single_page_section',
			'setting'	=> 'wpdevart_wedding_photography_single_page_title_alignment',
			'type' => 'select',
			'choices' => array(
				'left' => esc_html__('Left','wedding-photography'),
				'center' => esc_html__('Center','wedding-photography'),
				'right' => esc_html__('Right','wedding-photography')
				)
	));	
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_bg_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_page_banner_bg_color', esc_html('#f9fbf7')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_banner_bg_color', array(
        'label' => esc_html__('Single page banner BG color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_page_section',
        'settings' => 'wpdevart_wedding_photography_single_page_banner_bg_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_gradient_type',array(
		'default'	=> esc_html('to right'),
		'sanitize_callback'	=> 'wpdevart_wedding_photography_text_sanitization'	
	));
	$wp_customize->add_control('wpdevart_wedding_photography_single_page_banner_gradient_type',array(
			'label'	=> esc_html__('Single page banner gradient type','wedding-photography'),
			'section'	=> 'wpdevart_wedding_photography_single_page_section',
			'setting'	=> 'wpdevart_wedding_photography_single_page_banner_gradient_type',
			'type' => 'select',
			'choices' => array(
				'to right' => esc_html__('To right','wedding-photography'),
				'to left' => esc_html__('To left','wedding-photography'),
				'to bottom' => esc_html__('To bottom','wedding-photography'),
				'to top' => esc_html__('To top','wedding-photography'),
				'to bottom right' => esc_html__('To bottom right','wedding-photography'),
				'to bottom left' => esc_html__('To bottom left','wedding-photography'),
				'to top right' => esc_html__('To top right','wedding-photography'),
				'to top left' => esc_html__('To top left','wedding-photography'),
				)
	));	
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_gradient_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_page_banner_gradient_color', esc_html('#f9fbf7')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_banner_gradient_color', array(
        'label' => esc_html__('Single page banner gradient color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_page_section',
        'settings' => 'wpdevart_wedding_photography_single_page_banner_gradient_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_title_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_page_banner_title_color', esc_html('#136978')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_banner_title_color', array(
        'label' => esc_html__('Banner/Single page title color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_page_section',
        'settings' => 'wpdevart_wedding_photography_single_page_banner_title_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_entry_text_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_page_banner_entry_text_color', esc_html('#333333')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_banner_entry_text_color', array(
        'label' => esc_html__('Banner text color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_page_section',
        'settings' => 'wpdevart_wedding_photography_single_page_banner_entry_text_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_entry_link_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_page_banner_entry_link_color', esc_html('#e57339')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_banner_entry_link_color', array(
        'label' => esc_html__('Banner link color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_page_section',
        'settings' => 'wpdevart_wedding_photography_single_page_banner_entry_link_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_single_page_banner_entry_link_hover_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_single_page_banner_entry_link_hover_color', esc_html('#333333')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_banner_entry_link_hover_color', array(
        'label' => esc_html__('Banner link hover color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_single_page_section',
        'settings' => 'wpdevart_wedding_photography_single_page_banner_entry_link_hover_color'
    )));
    $wp_customize->add_setting( 'wpdevart_wedding_photography_single_page_layout',
	array(
		'default' => esc_html('sidebarnone'),
		'transport' => 'refresh',
		'sanitize_callback' => 'wpdevart_wedding_photography_text_sanitization'
	)
	);
	$wp_customize->add_control( new Wpdevart_Image_Radio_Button_Custom_Control( $wp_customize, 'wpdevart_wedding_photography_single_page_layout',
	array(
		'label' => esc_html__( 'Single Page Layout', 'wedding-photography' ),
		'description' => esc_html__( 'Choose the single page layout.', 'wedding-photography' ),
		'section' => 'wpdevart_wedding_photography_single_page_section',
		'choices' => array(
		'sidebarleft' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-left.png',
			'name' => esc_html__( 'Left Sidebar', 'wedding-photography' )
		),
		'sidebarnone' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-none.png',
			'name' => esc_html__( 'No Sidebar', 'wedding-photography' )
		),
		'sidebarright' => array(
			'image' => trailingslashit( get_template_directory_uri() ) . 'images/sidebar-right.png',
			'name' => esc_html__( 'Right Sidebar', 'wedding-photography' )
		)
		)
	)
	) );

	##################------ Comments ------##################

	$wp_customize->add_section('wpdevart_wedding_photography_comments_settings',array(
		'title'	=> esc_html__('Comments Box','wedding-photography'),
		'description'	=> esc_html__('The Comment Box is a block of user responses. Other comments section settings can be managed on the General settings page (for example, the Post Comment button can be controlled in the Primary Button section, or the text colors for Comment*, Name*, Email*, or Website can be controlled in the Colors section).','wedding-photography'),	
		'priority'		=> null,
		'panel'         => 'wpdevart_wedding_photography_single_post_page_panel'
	));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_box_bg_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_box_bg_color', esc_html('#fcfcfc')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_box_bg_color', array(
        'label' => esc_html__('Comments reply box background color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_box_bg_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_box_text_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_box_text_color', esc_html('#333333')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_box_text_color', array(
        'label' => esc_html__('Comments reply box text color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_box_text_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_box_heading_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_box_heading_color', esc_html('#000000')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_box_heading_color', array(
        'label' => esc_html__('Comments reply box heading color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_box_heading_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_box_link_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_box_link_color', esc_html('#e57339')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_box_link_color', array(
        'label' => esc_html__('Comments reply box link color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_box_link_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_box_link_hover_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_box_link_hover_color', esc_html('#333333')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_box_link_hover_color', array(
        'label' => esc_html__('Comments reply box link hover color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_box_link_hover_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_button_bg_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_button_bg_color', esc_html('#136978')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_button_bg_color', array(
        'label' => esc_html__('Comments reply button bg color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_button_bg_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_button_link_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_button_link_color', esc_html('#ffffff')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_button_link_color', array(
        'label' => esc_html__('Comments reply button link color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_button_link_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_button_bg_hover_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_button_bg_hover_color', esc_html('#ffffff')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_button_bg_hover_color', array(
        'label' => esc_html__('Comments reply button bg hover color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_button_bg_hover_color'
    )));
	$wp_customize->add_setting('wpdevart_wedding_photography_comments_reply_button_link_hover_color',array(
		'default'	=> apply_filters( 'parent_wpdevart_wedding_photography_comments_reply_button_link_hover_color', esc_html('#136978')),
		'sanitize_callback'	=> 'sanitize_hex_color'	
	));
	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'wpdevart_wedding_photography_comments_reply_button_link_hover_color', array(
        'label' => esc_html__('Comments reply button link hover color','wedding-photography'),
        'section' => 'wpdevart_wedding_photography_comments_settings',
        'settings' => 'wpdevart_wedding_photography_comments_reply_button_link_hover_color'
    )));